com.fasterxml.jackson.dataformat.cbor

## Class CBORParserBootstrapper

- java.lang.Object
- - com.fasterxml.jackson.dataformat.cbor.CBORParserBootstrapper

-     public class CBORParserBootstrapper
      extends Object

  Simple bootstrapper version used with CBOR format parser.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_bufferRecyclable` Flag that indicates whether buffer above is to be recycled after being used or not.
    `protected com.fasterxml.jackson.core.io.IOContext` | `_context`
    `protected InputStream` | `_in`
    `protected byte[]` | `_inputBuffer`
    `protected int` | `_inputEnd`
    `protected int` | `_inputProcessed` Current number of input units (bytes or chars) that were processed in previous blocks, before contents of current input buffer.
    `protected int` | `_inputPtr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CBORParserBootstrapper(com.fasterxml.jackson.core.io.IOContext ctxt, byte[] inputBuffer, int inputStart, int inputLen)`
    `CBORParserBootstrapper(com.fasterxml.jackson.core.io.IOContext ctxt, InputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CBORParser` | `constructParser(int factoryFeatures, int generalParserFeatures, int formatFeatures, com.fasterxml.jackson.core.ObjectCodec codec, com.fasterxml.jackson.core.sym.ByteQuadsCanonicalizer rootByteSymbols)`
    `protected boolean` | `ensureLoaded(int minimum)`
    `static com.fasterxml.jackson.core.format.MatchStrength` | `hasCBORFormat(com.fasterxml.jackson.core.format.InputAccessor acc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _context

          protected final com.fasterxml.jackson.core.io.IOContext _context

    - #### _in

          protected final InputStream _in

    - #### _inputBuffer

          protected final byte[] _inputBuffer

    - #### _inputPtr

          protected int _inputPtr

    - #### _inputEnd

          protected int _inputEnd

    - #### _bufferRecyclable

          protected final boolean _bufferRecyclable

      Flag that indicates whether buffer above is to be recycled after being used or not.

    - #### _inputProcessed

          protected int _inputProcessed

      Current number of input units (bytes or chars) that were processed in previous blocks, before contents of current input buffer.

      Note: includes possible BOMs, if those were part of the input.

  - ### Constructor Detail

    - #### CBORParserBootstrapper

          public CBORParserBootstrapper(com.fasterxml.jackson.core.io.IOContext ctxt,
                                InputStream in)

    - #### CBORParserBootstrapper

          public CBORParserBootstrapper(com.fasterxml.jackson.core.io.IOContext ctxt,
                                byte[] inputBuffer,
                                int inputStart,
                                int inputLen)

  - ### Method Detail

    - #### constructParser

          public CBORParser constructParser(int factoryFeatures,
                                   int generalParserFeatures,
                                   int formatFeatures,
                                   com.fasterxml.jackson.core.ObjectCodec codec,
                                   com.fasterxml.jackson.core.sym.ByteQuadsCanonicalizer rootByteSymbols)
                                     throws IOException,
                                            com.fasterxml.jackson.core.JsonParseException

      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonParseException`

    - #### hasCBORFormat

          public static com.fasterxml.jackson.core.format.MatchStrength hasCBORFormat(com.fasterxml.jackson.core.format.InputAccessor acc)
                                                                               throws IOException

      Throws:
        `IOException`

    - #### ensureLoaded

          protected boolean ensureLoaded(int minimum)
                                  throws IOException

      Throws:
        `IOException`

Copyright © 2017 FasterXML. All rights reserved.